- category: mandatory
  customVariables: []
  description: State reference test rule for https://github.com/melix/jmh-gradle-example
  effort: 1
  labels:
    - konveyor.io/target=cloud-readiness
    - konveyor.io/source
  message: |-
    State reference test rule for https://github.com/melix/jmh-gradle-example
  ruleID: jmh-gradle-annotation-state-test-rule
  when:
    java.referenced:
      location: ANNOTATION
      pattern: org.openjdk.jmh.annotations.State


- category: mandatory
  customVariables: []
  description: IMPORT reference test rule for https://github.com/melix/jmh-gradle-example
  effort: 1
  labels:
    - konveyor.io/target=cloud-readiness
    - konveyor.io/source
  message: |-
    IMPORT reference test rule for https://github.com/melix/jmh-gradle-example, should trigger an incident here https://github.com/melix/jmh-gradle-example/blob/master/src/jmh/java/org/openjdk/jmh/samples/JMHSample_01_HelloWorld.java#L27C8-L27C45
  ruleID: jmh-gradle2
  when:
    java.referenced:
      location: IMPORT
      pattern: org.openjdk.jmh.annotations.Benchmark
